from social_core.backends.open_id_connect import OpenIdConnectAuth


class UMichOIDC(OpenIdConnectAuth):
    name = "umich-oidc"

    def oidc_endpoint(self):
        return self.setting("ENDPOINT", "https://shibboleth.umich.edu")
